use cli::{parse_args, Commands};

pub(crate) mod cli;
pub(crate) mod init;
pub(crate) mod websocket;

#[tokio::main]
async fn main() {
    let args = parse_args();

    match &args.command {
        Some(Commands::Init {}) => {
            init::init();
        }
        Some(Commands::Run {}) => {
            websocket::start().await.unwrap();
        }
        None => println!("No command provided. Exiting. See --help for more information."),
    }
}
